<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.1.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.1.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.1.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="d2caa2a5-fb70-4399-a49d-ae9d24ee9e67" data-root-id="p1214" style="display: contents;"></div>
  
    <script type="application/json" id="p1260">
      {"13c7f801-e62b-4fe5-bf73-1b6c0b8f78e4":{"version":"3.1.1","title":"Bokeh Application","defs":[],"roots":[{"type":"object","name":"Column","id":"p1214","attributes":{"children":[{"type":"object","name":"Div","id":"p1211","attributes":{"text":"&lt;h3 style=\"text-align: center\"&gt;List of packages where there is either c8s branch or koji allowlist entry missing&lt;/h3&gt;"}},{"type":"object","name":"DataTable","id":"p1205","attributes":{"source":{"type":"object","name":"ColumnDataSource","id":"p1202","attributes":{"selected":{"type":"object","name":"Selection","id":"p1204","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1203"},"data":{"type":"map","entries":[["package",["OpenEXR","SDL","SLOF","SuperLU","alex","amanda","ant-contrib","aopalliance","apache-commons-exec","apache-commons-lang","apache-ivy","atf","autoconf213","autogen","awscli","bsh","cal10n","cdparanoia","cdrdao","cdrkit","centos-release","centos-stream-release","ceres-solver","compat-libtiff3","cppcheck","custodia","dom4j","dotnet-build-reference-packages","dotnet3.1","drpm","dump","dvdplusrw-tools","exec-maven-plugin","extra-enforcer-rules","fence-virt","file-roller","forge-parent","fuse-sshfs","gcc-toolset-12","gcc-toolset-12-annobin","gcc-toolset-12-binutils","gcc-toolset-12-dwz","gcc-toolset-12-gcc","gcc-toolset-12-gdb","genwqe-tools","gfbgraph","gflags","ghc","ghc-Glob","ghc-HTTP","ghc-HUnit","ghc-JuicyPixels","ghc-QuickCheck","ghc-SHA","ghc-aeson","ghc-aeson-pretty","ghc-ansi-terminal","ghc-ansi-wl-pprint","ghc-asn1-encoding","ghc-asn1-parse","ghc-asn1-types","ghc-async","ghc-attoparsec","ghc-base-compat","ghc-base16-bytestring","ghc-base64-bytestring","ghc-basement","ghc-blaze-builder","ghc-blaze-html","ghc-blaze-markup","ghc-call-stack","ghc-case-insensitive","ghc-cereal","ghc-clock","ghc-cmark-gfm","ghc-cmdargs","ghc-colour","ghc-connection","ghc-cookie","ghc-cryptonite","ghc-data-default","ghc-data-default-class","ghc-data-default-instances-containers","ghc-data-default-instances-dlist","ghc-data-default-instances-old-locale","ghc-digest","ghc-dlist","ghc-doctemplates","ghc-exceptions","ghc-foundation","ghc-haddock-library","ghc-hashable","ghc-hourglass","ghc-hslua","ghc-hslua-module-text","ghc-hspec","ghc-hspec-core","ghc-hspec-discover","ghc-hspec-expectations","ghc-http-client","ghc-http-client-tls","ghc-http-types","ghc-hxt","ghc-hxt-charproperties","ghc-hxt-regex-xmlschema","ghc-hxt-unicode","ghc-integer-logarithms","ghc-memory","ghc-mime-types","ghc-network","ghc-network-uri","ghc-old-locale","ghc-optparse-applicative","ghc-pandoc-types","ghc-pem","ghc-primitive","ghc-quickcheck-io","ghc-random","ghc-regex-base","ghc-regex-pcre","ghc-safe","ghc-scientific","ghc-semigroups","ghc-setenv","ghc-skylighting","ghc-socks","ghc-split","ghc-streaming-commons","ghc-syb","ghc-tagged","ghc-tagsoup","ghc-tasty","ghc-tasty-hunit","ghc-tasty-quickcheck","ghc-temporary","ghc-texmath","ghc-tf-random","ghc-th-abstraction","ghc-tls","ghc-transformers-compat","ghc-unbounded-delays","ghc-unordered-containers","ghc-utf8-string","ghc-uuid-types","ghc-vector","ghc-x509","ghc-x509-store","ghc-x509-system","ghc-x509-validation","ghc-xml","ghc-zip-archive","ghc-zlib","glew","glog","gnome-online-miners","gssntlmssp","gtest","guile","hawtjni","hscolour","isorelax","jakarta-commons-httpclient","jansi-native","java-atk-wrapper","javacc","javacc-maven-plugin","javamail","javassist","jaxen","jboss-annotations-1.2-api","jboss-logmanager","jboss-modules","jline","jtidy","kyua","latexmk","lensfun","libIDL","libXNVCtrl","libaec","libavc1394","libcacard","libcgroup","libcxl","libdap","libdc1394","libdv","libgovirt","libidn","libiec61883","libmemcached","libmetalink","libmusicbrainz5","liboauth","liboggz","libraw1394","libtar","libucil","libunicap","libvarlink","libvncserver","libyami","log4j12","lohit-malayalam-fonts","lua-filesystem","lua-json","lua-lpeg","lutok","mailx","maven-artifact-resolver","maven-clean-plugin","maven-doxia","maven-doxia-sitetools","maven-install-plugin","maven-invoker","maven-invoker-plugin","maven-reporting-api","maven-reporting-impl","maven-script-interpreter","maven2","mcpp","mercurial","metacity","metis","msv","nafees-web-naskh-fonts","netcf","nkf","objectweb-pom","opencv","openhpi","openssl-ibmpkcs11","os-maven-plugin","pandoc","passivetex","perl-DateTime-Format-HTTP","perl-DateTime-Format-IBeat","perl-DateTime-Format-Mail","perl-Net-IDN-Encode","perl-Net-LibIDN","perl-Sys-Virt","php-pecl-xdebug","pipewire0.2","plexus-component-api","plexus-i18n","plexus-interactivity","plexus-velocity","pyOpenSSL","pyflakes","python-blinker","python-boto3","python-botocore","python-click","python-coverage","python-cpio","python-cryptography-vectors","python-flask","python-funcsigs","python-gevent","python-html5lib","python-httplib2","python-hypothesis","python-iso8601","python-itsdangerous","python-jwt","python-mock","python-nose","python-nss","python-pillow","python-podman-api","python-pretend","python-pydbus","python-pymongo","python-pytest-mock","python-schedutils","python-semantic_version","python-slip","python-suds","python-sure","python-varlink","python-webencodings","python-werkzeug","python-whoosh","python2-setuptools","qperf","qrencode","qt5-qtcanvas3d","re2c","redhat-menus","rt-setup","rt-tests","rubygem-abrt","rubygem-bundler","rubygem-rspec-its","samyak-fonts","scala","scons","scotch","screen","shrinkwrap","sonatype-oss-parent","sparsehash","spec-version-maven-plugin","spice","spice-gtk","spice-parent","system-storage-manager","tinyxml2","trousers","ucpp","uglify-js","uthash","vorbis-tools","weld-parent","xorg-x11-apps","xorg-x11-drv-qxl","xpp3"]],["c9s",[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],["koji_allowlist_9",[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]],["zuul_centos_distgit",[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]]]}}},"view":{"type":"object","name":"CDSView","id":"p1209","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1210"}}},"columns":[{"type":"object","name":"TableColumn","id":"p1187","attributes":{"field":"package","title":"package","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1186","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(package == 'no' || package == 'False' || package == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1189"}}},{"type":"object","name":"TableColumn","id":"p1191","attributes":{"field":"c9s","title":"c9s","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1190","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(c9s == 'no' || c9s == 'False' || c9s == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1193"}}},{"type":"object","name":"TableColumn","id":"p1195","attributes":{"field":"koji_allowlist_9","title":"koji_allowlist_9","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1194","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(koji_allowlist_9 == 'no' || koji_allowlist_9 == 'False' || koji_allowlist_9 == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1197"}}},{"type":"object","name":"TableColumn","id":"p1199","attributes":{"field":"zuul_centos_distgit","title":"zuul_centos_distgit","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1198","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(zuul_centos_distgit == 'no' || zuul_centos_distgit == 'False' || zuul_centos_distgit == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1201"}}}]}},{"type":"object","name":"Div","id":"p1212","attributes":{"text":"&lt;a href='9_branches.html'&gt;Link to standalone 9_branches table&lt;/a&gt;"}},{"type":"object","name":"Div","id":"p1213","attributes":{"text":"Generated from data collected on [None]"}}]}}],"callbacks":{"type":"map"}}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p1260').textContent;
              const render_items = [{"docid":"13c7f801-e62b-4fe5-bf73-1b6c0b8f78e4","roots":{"p1214":"d2caa2a5-fb70-4399-a49d-ae9d24ee9e67"},"root_ids":["p1214"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>